
%define 	module	dumper

Summary:	Python module for dumping nested data structures
Summary(pl.UTF-8):	Moduł Pythona umożliwiający wypisywanie zawartości złożonych struktur danych
Name:		python-%{module}
Version:	1.0
Release:	4
License:	CNRI
Group:		Libraries/Python
Source0:	http://www.mems-exchange.org/software/files/%{module}/%{module}-%{version}.tar.gz
# Source0-md5:	be7c0681c1819b244fd43c01ba6b9f67
URL:		http://www.mems-exchange.org/software/dumper/
BuildRequires:	python-devel >= 1.5
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
Requires:	python >= 1.5
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
dumper is a module that provides tools for dumping deeply nested
Python data in a readable, customizable, controllable way. It handles
recursive structures, class instances, and lets you control how deeply
the dump goes in a couple of ways.

%description -l pl.UTF-8
dumper jest modułem umożliwiającym wyświetlanie zawartości złożonych i
zagnieżdżonych struktur Pythona w czytelny, konfigurowalny i
sterowalny sposób. Obsługuje rekurencyjne struktury danych, instancje
klas oraz pozwala na kontrolę głębokości analizy przetwarzanych
obiektów.

%prep
%setup -q -n %{module}-%{version}

%build
python setup.py build_ext

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{py_sitescriptdir}

%py_install \
	--install-lib=%{py_sitescriptdir} \
	--optimize=2

find $RPM_BUILD_ROOT%{py_sitescriptdir} -name \*.py -exec rm {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{py_sitescriptdir}/dumper.py[oc]
%changelog
* Sat Nov 28 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-dumper.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> f678a51
- release 4 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 2f785f2
- automatic change: use py_build/py_install macros

* Sat Jan 22 2011 sparky <sparky@pld-linux.org> abfabf7
- BR: python-modules, rpm-pythonprov

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> d10da1a
- release 3

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> a327174
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 92a4bf8
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> b31729a
- converted to UTF-8

* Wed Jul 28 2004 Michal Chruszcz <mchruszcz@gmail.com> e6203e5
- removed %%include /usr/lib/rpm/macros.python

* Wed May 26 2004 ankry <ankry@pld-linux.org> 0d99bc1
- capitalization, tabs, other cosmetics

* Fri May 21 2004 Marcin Gajda <m.gajda@functional-software.com> 2c9f649
- initial

